<template>
  <div>
    <a-col :xl="{ span: 8 }" v-for="video in videos" :key="video.id" >
      <AtomMainVideo
        :videoID="video.id"
        :autoplay="false"
        :controls="false"
        size="small"
      />
    </a-col>
  </div>
</template>

<script lang="ts">
import AtomMainVideo from '../../Atoms/AtomMainVideo/AtomMainVideo.vue';

export default {
  name: 'MoleculeMoreVideos',

  components: {
    AtomMainVideo,
  },

  data(): any {
    return {
      videos: [
        { id: '1059465840' },
        { id: '1052294132' },
        { id: '1050240093' },
      ],
    };
  },

  props: {
    videoID: {
      type: String,
    },
  },
};
</script>
